Subject: Autosplit option for git add -p

From: Konstantin Tokarev <[email-masked]>
Date: Fri, 7 Jun 2024 12:05:30 +0300

Hello all,

Is there any option in git to make `git add -p` split hunks by
default, just like 's' was pressed automatically? If no, how would one
implement such an option?

My use case: I've recently started working with big LaTeX document
having every paragraph as a single line. As a result, hunks quickly
become larger than screen, so that splitting is highly desirable.

Thanks.